org.apache.lucene.analysis.phonetic

## Class DoubleMetaphoneFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.phonetic.DoubleMetaphoneFilterFactory

    public class DoubleMetaphoneFilterFactory
    extends TokenFilterFactory

Factory for `DoubleMetaphoneFilter`.

     <fieldType name="text_dblmtphn" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.DoubleMetaphoneFilterFactory" inject="true" maxCodeLength="4"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "doubleMetaphone"

### Field Summary

Fields
`static int` `DEFAULT_MAX_CODE_LENGTH` default maxCodeLength if not specified
`static String` `INJECT` parameter name: true if encoded tokens should be added as synonyms
`static String` `MAX_CODE_LENGTH` parameter name: restricts the length of the phonetic code
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`DoubleMetaphoneFilterFactory(Map<String,String> args)` Creates a new DoubleMetaphoneFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`DoubleMetaphoneFilter` `create(TokenStream input)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

#### INJECT

    public static final String INJECT

parameter name: true if encoded tokens should be added as synonyms

See Also:
  Constant Field Values

#### MAX_CODE_LENGTH

    public static final String MAX_CODE_LENGTH

parameter name: restricts the length of the phonetic code

See Also:
  Constant Field Values

#### DEFAULT_MAX_CODE_LENGTH

    public static final int DEFAULT_MAX_CODE_LENGTH

default maxCodeLength if not specified

See Also:
  Constant Field Values

### Constructor Detail

#### DoubleMetaphoneFilterFactory

    public DoubleMetaphoneFilterFactory(Map<String,String> args)

Creates a new DoubleMetaphoneFilterFactory

### Method Detail

#### create

    public DoubleMetaphoneFilter create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`